All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class ColorScheme

    com.sas.graphics.components.ColorScheme

    public class ColorScheme

ColorScheme class contains attributes for a color scheme. There are several predefined color schemes available. Color schemes are available to all graph types. In addition to the data elements, colors are defined for common graph elements like titles, footnotes and background.

An instance of one of the predefined color schemes is created when a new instance of ColorScheme is created. If no parameter is used in the contructor, the default SCHEME_TERRA is created.

The predefined color schemes are:

- ColorScheme.SCHEME_AUTUMN
- ColorScheme.SCHEME_BRIGHT
- ColorScheme.SCHEME_CARNIVAL
- ColorScheme.SCHEME_COMMERCE
- ColorScheme.SCHEME_GANTTCHART
- ColorScheme.SCHEME_GRAYSCALE
- ColorScheme.SCHEME_INDUSTRY
- ColorScheme.SCHEME_MAGELLAN
- ColorScheme.SCHEME_NEON
- ColorScheme.SCHEME_OCEAN
- ColorScheme.SCHEME_PASTEL
- ColorScheme.SCHEME_PICNIC
- ColorScheme.SCHEME_PINE
- ColorScheme.SCHEME_TERRA
- ColorScheme.SCHEME_WHEAT
- ColorScheme.SCHEME_WOODLAND
- ColorScheme.SCHEME_PFD

## Usage

Apply the Autumn color scheme to the Convention graph style.

     /** Create and apply the Autumn color scheme to the graph style.
     GraphStyle graphStyle = new GraphStyle(STYLE_CONVENTION);
     ColorScheme cs = new ColorScheme(ColorScheme.SCHEME_AUTUMN);
     graphStyle.applyColorScheme(cs);

## Behavior

The ColorScheme class stores the color defines to be used on the chart elements. Once a color scheme has been created, the GraphStyle.getColorScheme() method can be called to retrieve an instance of it from the graph at any time.

From this retrieved color scheme, you can use the ColorScheme's methods to individually set colors on any of the graph components defined in a color scheme.

Once the colors have been set on the color scheme, GraphStyle.applyColorScheme(ColorScheme) needs to be called before the colors in the graph change.

It should be noted that an actual instance of a ColorScheme is not stored in a GraphStyle, and the GraphStyle.getColorScheme() method simply collects the colors from the individual StrokeLineStyle, TextStyle, MarkerStyle, etc. as well as those stored directly in the GraphStyle.

Since:
  SAS 9.1
See Also:
  `GraphStyle`, `DataElementColors`

Field Summary
`static java.lang.String` | `RB_KEY`
`static ConstantCollection` | `SCHEME` SCHEME enables a set of static actions associated with the public SCHEME_ constants.
`static int` | `SCHEME_AUTUMN` The "Autumn" predefined color scheme.
`static int` | `SCHEME_BRIGHT` The "Bright" predefined color scheme.
`static int` | `SCHEME_CARNIVAL` The "Carnival" predefined color scheme.
`static int` | `SCHEME_COMMERCE` The "Commerce" predefined color scheme.
`static int` | `SCHEME_DECO` The "Deco" predefined color scheme.
`static int` | `SCHEME_GANTTCHART` The "Gantt Chart" predefined color scheme.
`static int` | `SCHEME_GRAYSCALE` The "Grayscale" predefined color scheme.
`static int` | `SCHEME_INDUSTRY` The "Industry" predefined color scheme.
`static int` | `SCHEME_MAGELLAN` The "Magellan" predefined color scheme.
`static int` | `SCHEME_NEON` The "Neon" predefined color scheme.
`static int` | `SCHEME_OCEAN` The "Ocean" predefined color scheme.
`static int` | `SCHEME_PASTEL` The "Pastel" predefined color scheme.
`static int` | `SCHEME_PICNIC` The "Picnic" predefined color scheme.
`static int` | `SCHEME_PINE` The "Pine" predefined color scheme.
`static int` | `SCHEME_TERRA` The "Terra" predefined color scheme.
`static int` | `SCHEME_WHEAT` The "Wheat" predefined color scheme.
`static int` | `SCHEME_WOODLAND` The "Woodland" predefined color scheme.
`static int` | `SCHEME_ZUNI` The "Zuni" predefined color scheme.

Constructor Summary
`ColorScheme()` Default constructor that creates the default Terra color scheme.
`ColorScheme(int newName)` Constructor that creates the requested color scheme if passed a valid value, otherwise it creates the default Terra color scheme.

Method Summary
`boolean` | `equals(ColorScheme that)`
`protected void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldProperty, java.lang.Object newProperty)` Support for reporting bound property changes.
`java.awt.Color` | `getAxisLineColor()` Gets the color for the axis lines.
`java.awt.Color` | `getBackgroundColor()` Gets the color that is to be used for the graph background.
`java.awt.Color` | `getColumnAxisBackgroundColor()` Gets the color that is to be used for the column axis background.
`java.awt.Color` | `getColumnAxisValueCellBackgroundColor()` Gets the color that is to be used for the column axis background.
`DataElementColors` | `getDataElementColors()` Returns the Colors used for data elements.
`java.awt.Color` | `getDataLabelColor()` Gets the color of data label text of data elements.
`java.awt.Color` | `getDataTipColor()` Gets the color of data tip text.
`java.awt.Color` | `getFloorColor()` Gets the color to be used on the chart floor.
`java.awt.Color` | `getFrameColor()` Gets the frame line color.
`java.awt.Color` | `getGridLineColor()` Returns the grid line color.
`java.awt.Color` | `getLabelColor()` Gets the color of the axis and the legend label text.
`java.awt.Color` | `getLegendBackgroundColor()` Gets the legend background color.
`java.awt.Color` | `getMajorTickColor()` Returns the major tick mark color.
`java.awt.Color` | `getMinorTickColor()` Returns the minor tick mark color.
`int` | `getName()` Gets what color scheme this is.
`java.awt.Color` | `getRowAxisBackgroundColor()` Gets the color that is to be used for the row axis background.
`java.awt.Color` | `getRowAxisValueCellBackgroundColor()` Gets the color that is to be used for the row axis background.
`java.awt.Color` | `getSelectionAccentColor()` Returns the secondary color used to indicate selection.
`java.awt.Color` | `getSelectionColor()` Returns the primary color used to indicate selection.
`java.awt.Color` | `getShadowColor()` Gets the shadow color.
`java.awt.Color` | `getTextFrameColor()` Gets the color specified for frame outline around the text.
`java.awt.Color` | `getTitleFootnoteColor()` Gets the color of titles and footnotes.
`java.awt.Color` | `getValueColor()` Gets the color of value text of axis and legend values.
`java.awt.Color` | `getWallColor()` Gets the color to be used for the chart walls.
`java.awt.Color` | `getWeekendBandColor()` Returns the color applied to Weekend Bands.
`boolean` | `isModified()` Returns whether or not the ColorScheme has been modified from its initial defined state.
`void` | `setAxisLineColor(java.awt.Color newAxisLineColor)` Specify the color for the axis lines.
`void` | `setBackgroundColor(java.awt.Color newBackgroundColor)` Specifies the color to use for graph background.
`void` | `setColumnAxisBackgroundColor(java.awt.Color newBackgroundColor)` Specifies the color to use for column axis background.
`void` | `setColumnAxisValueCellBackgroundColor(java.awt.Color newColor)` Specifies the color to use for column axis background.
`void` | `setDataElementColors(DataElementColors newdataElementColors)` Sets the Colors used for non-continuous data elements.
`void` | `setDataLabelColor(java.awt.Color newDataLabelColor)` Specify the color of data label text.
`void` | `setDataTipColor(java.awt.Color newDataTipColor)` Specify the color of data tip text.
`void` | `setFloorColor(java.awt.Color newFloorColor)` Specify the color to be used on the chart floor.
`void` | `setFrameColor(java.awt.Color newFrameColor)` Specify the frame line color.
`void` | `setGridLineColor(java.awt.Color newGridLineColor)` Sets the grid line color.
`void` | `setLabelColor(java.awt.Color newLabelColor)` Specify the color of label text.
`void` | `setLegendBackgroundColor(java.awt.Color newLegendBackgroundColor)` Specifies the legend background color.
`void` | `setMajorTickColor(java.awt.Color newMajorTickColor)` Sets the major tick mark color.
`void` | `setMinorTickColor(java.awt.Color newMinorTickColor)` Sets the minor tick mark color.
`void` | `setRowAxisBackgroundColor(java.awt.Color newBackgroundColor)` Specifies the color to use for row axis background.
`void` | `setRowAxisValueCellBackgroundColor(java.awt.Color newColor)` Specifies the color to use for row axis background.
`void` | `setSelectionAccentColor(java.awt.Color newSelectionAccentColor)` Sets the secondary color used to indicate selection.
`void` | `setSelectionColor(java.awt.Color newSelectionColor)` Sets the primary color used to indicate selection.
`void` | `setShadowColor(java.awt.Color newShadowColor)` Specify the color to be used for shadows.
`void` | `setTextFrameColor(java.awt.Color newTextFrameColor)` Specify the color for frame line around the text.
`void` | `setTitleFootnoteColor(java.awt.Color newTitleFootnoteColor)` Specify the color of titles and footnotes GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle.
`void` | `setValueColor(java.awt.Color newValueColor)` Specify the color of value text.
`void` | `setWallColor(java.awt.Color newWallColor)` Specify the color to be used for the chart walls.
`void` | `setWeekendBandColor(java.awt.Color newColor)` Sets the color applied to Weekend Bands.
`java.lang.String` | `toString()`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, equals, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, hashCode, removePropertyChangeListener, setContainedModel`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### SCHEME_AUTUMN

    public static final int SCHEME_AUTUMN

  The "Autumn" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_BRIGHT

    public static final int SCHEME_BRIGHT

  The "Bright" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_CARNIVAL

    public static final int SCHEME_CARNIVAL

  The "Carnival" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_COMMERCE

    public static final int SCHEME_COMMERCE

  The "Commerce" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_GRAYSCALE

    public static final int SCHEME_GRAYSCALE

  The "Grayscale" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_INDUSTRY

    public static final int SCHEME_INDUSTRY

  The "Industry" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_MAGELLAN

    public static final int SCHEME_MAGELLAN

  The "Magellan" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_NEON

    public static final int SCHEME_NEON

  The "Neon" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_OCEAN

    public static final int SCHEME_OCEAN

  The "Ocean" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_PASTEL

    public static final int SCHEME_PASTEL

  The "Pastel" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_PICNIC

    public static final int SCHEME_PICNIC

  The "Picnic" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_PINE

    public static final int SCHEME_PINE

  The "Pine" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_TERRA

    public static final int SCHEME_TERRA

  The "Terra" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_WHEAT

    public static final int SCHEME_WHEAT

  The "Wheat" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_WOODLAND

    public static final int SCHEME_WOODLAND

  The "Woodland" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_GANTTCHART

    public static final int SCHEME_GANTTCHART

  The "Gantt Chart" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_DECO

    public static final int SCHEME_DECO

  The "Deco" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME_ZUNI

    public static final int SCHEME_ZUNI

  The "Zuni" predefined color scheme.

  See Also:
    Constant Field Values

### SCHEME

    public static final ConstantCollection SCHEME

  SCHEME enables a set of static actions associated with the public SCHEME_ constants. These actions include: (1) validation (2) translation between constant value and string value (3) translation between constant value and JSP string value (4) translation between constant value and localized string value (5) generation of constant int or string arrays

Constructor Detail

### ColorScheme

    public ColorScheme()

  Default constructor that creates the default Terra color scheme.

### ColorScheme

    public ColorScheme(int newName)

  Constructor that creates the requested color scheme if passed a valid value, otherwise it creates the default Terra color scheme. GraphStyle.applyColorScheme() needs to be called before the colors in the graph change.

  Predefined color scheme names are:

  - ColorScheme.SCHEME_AUTUMN
  - ColorScheme.SCHEME_BRIGHT
  - ColorScheme.SCHEME_CARNIVAL
  - ColorScheme.SCHEME_COMMERCE
  - ColorScheme.SCHEME_GANTTCHART
  - ColorScheme.SCHEME_GRAYSCALE
  - ColorScheme.SCHEME_INDUSTRY
  - ColorScheme.SCHEME_MAGELLAN
  - ColorScheme.SCHEME_NEON
  - ColorScheme.SCHEME_OCEAN
  - ColorScheme.SCHEME_PASTEL
  - ColorScheme.SCHEME_PICNIC
  - ColorScheme.SCHEME_PINE
  - ColorScheme.SCHEME_TERRA
  - ColorScheme.SCHEME_WHEAT
  - ColorScheme.SCHEME_WOODLAND
  - ColorScheme.SCHEME_DECO
  - ColorScheme.SCHEME_ZUNI

  Parameters:
    `newName` - Predefined color scheme name.
  See Also:
    `getName()`, `

    `

Method Detail

### firePropertyChange

    protected void firePropertyChange(java.lang.String propertyName,
                                      java.lang.Object oldProperty,
                                      java.lang.Object newProperty)

  Description copied from class: `ModelBase`
  Support for reporting bound property changes. This method can be called when a bound property has changed and it will send the appropriate PropertyChangeEvent to any registered PropertyChangeListeners.

  Overrides:
    `firePropertyChange` in class `ModelBase`
  Parameters:
    `propertyName` - the property being changed
    `oldProperty` - the value being changed from
    `newProperty` - the value being changed to

### getName

    public int getName()

  Gets what color scheme this is.

  Possible return values are:

  - ColorScheme.SCHEME_AUTUMN
  - ColorScheme.SCHEME_BRIGHT
  - ColorScheme.SCHEME_CARNIVAL
  - ColorScheme.SCHEME_COMMERCE
  - ColorScheme.SCHEME_GANTTCHART
  - ColorScheme.SCHEME_GRAYSCALE
  - ColorScheme.SCHEME_INDUSTRY
  - ColorScheme.SCHEME_MAGELLAN
  - ColorScheme.SCHEME_NEON
  - ColorScheme.SCHEME_OCEAN
  - ColorScheme.SCHEME_PASTEL
  - ColorScheme.SCHEME_PICNIC
  - ColorScheme.SCHEME_PINE
  - ColorScheme.SCHEME_TERRA
  - ColorScheme.SCHEME_WHEAT
  - ColorScheme.SCHEME_WOODLAND
  - ColorScheme.SCHEME_DECO
  - ColorScheme.SCHEME_ZUNI

  Returns:
    color scheme name

### isModified

    public boolean isModified()

  Returns whether or not the ColorScheme has been modified from its initial defined state.

  Returns:
    boolean true signifies that the style has been modified

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setDataElementColors

    public void setDataElementColors(DataElementColors newdataElementColors)

  Sets the Colors used for non-continuous data elements.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newdataElementColors` - Colors for data elements in this style.
  See Also:
    `getDataElementColors()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getDataElementColors

    public DataElementColors getDataElementColors()

  Returns the Colors used for data elements.

  Returns:
    the Colors used for data elements.
  See Also:
    `setDataElementColors(com.sas.graphics.components.DataElementColors)`

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color newBackgroundColor)

  Specifies the color to use for graph background.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newBackgroundColor` - contains the background color to be set
  See Also:
    `getBackgroundColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Gets the color that is to be used for the graph background.

  Returns:
    the graph background color
  See Also:
    `setBackgroundColor(java.awt.Color)`

### setRowAxisValueCellBackgroundColor

    public void setRowAxisValueCellBackgroundColor(java.awt.Color newColor)

  Specifies the color to use for row axis background.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newColor` - contains the background color to be set
  See Also:
    `getRowAxisValueCellBackgroundColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getRowAxisValueCellBackgroundColor

    public java.awt.Color getRowAxisValueCellBackgroundColor()

  Gets the color that is to be used for the row axis background.

  Returns:
    the graph background color
  See Also:
    `setBackgroundColor(java.awt.Color)`

### setColumnAxisValueCellBackgroundColor

    public void setColumnAxisValueCellBackgroundColor(java.awt.Color newColor)

  Specifies the color to use for column axis background.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newColor` - contains the background color to be set
  See Also:
    `getColumnAxisValueCellBackgroundColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getColumnAxisValueCellBackgroundColor

    public java.awt.Color getColumnAxisValueCellBackgroundColor()

  Gets the color that is to be used for the column axis background.

  Returns:
    the graph background color
  See Also:
    `setBackgroundColor(java.awt.Color)`

### setRowAxisBackgroundColor

    public void setRowAxisBackgroundColor(java.awt.Color newBackgroundColor)

  Specifies the color to use for row axis background.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newBackgroundColor` - contains the background color to be set
  See Also:
    `getBackgroundColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getRowAxisBackgroundColor

    public java.awt.Color getRowAxisBackgroundColor()

  Gets the color that is to be used for the row axis background.

  Returns:
    the graph background color
  See Also:
    `setBackgroundColor(java.awt.Color)`

### setColumnAxisBackgroundColor

    public void setColumnAxisBackgroundColor(java.awt.Color newBackgroundColor)

  Specifies the color to use for column axis background.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newBackgroundColor` - contains the background color to be set
  See Also:
    `getBackgroundColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getColumnAxisBackgroundColor

    public java.awt.Color getColumnAxisBackgroundColor()

  Gets the color that is to be used for the column axis background.

  Returns:
    the graph background color
  See Also:
    `setBackgroundColor(java.awt.Color)`

### setWallColor

    public void setWallColor(java.awt.Color newWallColor)

  Specify the color to be used for the chart walls. (Area behind the data elements.)

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newWallColor` - the color to be used for the chart walls.
  See Also:
    `getWallColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getWallColor

    public java.awt.Color getWallColor()

  Gets the color to be used for the chart walls. (Area behind the data elements.)

  Returns:
    the color to be used for the chart walls.
  See Also:
    `setWallColor(java.awt.Color)`

### setWeekendBandColor

    public void setWeekendBandColor(java.awt.Color newColor)
                             throws java.lang.IllegalArgumentException

  Sets the color applied to Weekend Bands.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newColor` - the primary color used to Weekend Bands.
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `getWeekendBandColor()`

### getWeekendBandColor

    public java.awt.Color getWeekendBandColor()

  Returns the color applied to Weekend Bands.

  Returns:
    the color applied to Weekend Bands.
  See Also:
    `setWeekendBandColor(java.awt.Color)`

### setFloorColor

    public void setFloorColor(java.awt.Color newFloorColor)

  Specify the color to be used on the chart floor. (Area at bottom of the chart.)

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newFloorColor` - the floor color
  See Also:
    `getFloorColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getFloorColor

    public java.awt.Color getFloorColor()

  Gets the color to be used on the chart floor. (Area at bottom of the chart.)

  Returns:
    the floor color
  See Also:
    `setFloorColor(java.awt.Color)`

### setLegendBackgroundColor

    public void setLegendBackgroundColor(java.awt.Color newLegendBackgroundColor)

  Specifies the legend background color.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newLegendBackgroundColor` - the color to be used on the legend background.
  See Also:
    `getLegendBackgroundColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getLegendBackgroundColor

    public java.awt.Color getLegendBackgroundColor()

  Gets the legend background color.

  Returns:
    the color to be used on the legend background.
  See Also:
    `setLegendBackgroundColor(java.awt.Color)`

### setTextFrameColor

    public void setTextFrameColor(java.awt.Color newTextFrameColor)

  Specify the color for frame line around the text.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newTextFrameColor` - color of the frame line around the text.
  See Also:
    `getTextFrameColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getTextFrameColor

    public java.awt.Color getTextFrameColor()

  Gets the color specified for frame outline around the text.

  Returns:
    frame line around the text.
  See Also:
    `setTextFrameColor(java.awt.Color)`

### setShadowColor

    public void setShadowColor(java.awt.Color newShadowColor)

  Specify the color to be used for shadows.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newShadowColor` - shadow color
  See Also:
    `getShadowColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getShadowColor

    public java.awt.Color getShadowColor()

  Gets the shadow color.

  Returns:
    the shadow color
  See Also:
    `setShadowColor(java.awt.Color)`

### setSelectionColor

    public void setSelectionColor(java.awt.Color newSelectionColor)
                           throws java.lang.IllegalArgumentException

  Sets the primary color used to indicate selection. The selectionAccentColor (when applicable) appears as a secondary indicator on selected items. The selectionColor usually appears as a filled area if the selected item. In the absence of a fill area the selectionColor typically appears as the primary color used to draw the item.

  In the case of selected text the selectionColor appears as the text's background color.

  The default value is java.awt.SystemColor.textHighlight.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newSelectionColor` - the primary color used to indicate selection.
  Throws:
    `java.lang.IllegalArgumentException`
  See Also:
    `getSelectionColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getSelectionColor

    public java.awt.Color getSelectionColor()

  Returns the primary color used to indicate selection.

  Returns:
    the primary color used to indicate selection.
  See Also:
    `setSelectionColor(Color)`

### setSelectionAccentColor

    public void setSelectionAccentColor(java.awt.Color newSelectionAccentColor)
                                 throws java.lang.IllegalArgumentException

  Sets the secondary color used to indicate selection. The selectionAccentColor (when applicable) appears as a secondary indicator on selected items. The selectionAccentColor typically appears on the outline of selected items.

  In the case of selected text the selectionAccentColor appears as the text's foreground color.

  The default value is java.awt.SystemColor.textHighlightText.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newSelectionAccentColor` - the secondary color used to indicate selection.
  Throws:
    `java.lang.IllegalArgumentException` - is thrown for null parameter.
  See Also:
    `getSelectionAccentColor()`

### getSelectionAccentColor

    public java.awt.Color getSelectionAccentColor()

  Returns the secondary color used to indicate selection.

  Returns:
    the the secondary color used to indicate selection.
  See Also:
    `setSelectionAccentColor(java.awt.Color)`

### setAxisLineColor

    public void setAxisLineColor(java.awt.Color newAxisLineColor)

  Specify the color for the axis lines.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newAxisLineColor` - the axis line color
  See Also:
    `getAxisLineColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getAxisLineColor

    public java.awt.Color getAxisLineColor()

  Gets the color for the axis lines.

  Returns:
    the axis line color
  See Also:
    `setAxisLineColor(java.awt.Color)`

### setGridLineColor

    public void setGridLineColor(java.awt.Color newGridLineColor)

  Sets the grid line color.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newGridLineColor` - the grid line color
  See Also:
    `getGridLineColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getGridLineColor

    public java.awt.Color getGridLineColor()

  Returns the grid line color.

  Returns:
    the grid line color
  See Also:
    `setGridLineColor(java.awt.Color)`

### setMajorTickColor

    public void setMajorTickColor(java.awt.Color newMajorTickColor)

  Sets the major tick mark color.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newMajorTickColor` - the major tick mark color
  See Also:
    `getMajorTickColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getMajorTickColor

    public java.awt.Color getMajorTickColor()

  Returns the major tick mark color.

  Returns:
    the major tick mark color
  See Also:
    `setMajorTickColor(java.awt.Color)`

### setMinorTickColor

    public void setMinorTickColor(java.awt.Color newMinorTickColor)

  Sets the minor tick mark color.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newMinorTickColor` - the minor tick mark color
  See Also:
    `getMinorTickColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getMinorTickColor

    public java.awt.Color getMinorTickColor()

  Returns the minor tick mark color.

  Returns:
    the minor tick mark color
  See Also:
    `setMinorTickColor(java.awt.Color)`

### setFrameColor

    public void setFrameColor(java.awt.Color newFrameColor)

  Specify the frame line color.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newFrameColor` - the frame line color for chart and legend
  See Also:
    `getFrameColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getFrameColor

    public java.awt.Color getFrameColor()

  Gets the frame line color.

  Returns:
    the frame line color for chart and legend
  See Also:
    `setFrameColor(java.awt.Color)`

### setLabelColor

    public void setLabelColor(java.awt.Color newLabelColor)

  Specify the color of label text. This includes axis labels and legend labels.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newLabelColor` - label text color
  See Also:
    `getLabelColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getLabelColor

    public java.awt.Color getLabelColor()

  Gets the color of the axis and the legend label text.

  Returns:
    the label text color
  See Also:
    `setLabelColor(java.awt.Color)`

### setValueColor

    public void setValueColor(java.awt.Color newValueColor)

  Specify the color of value text. This includes axis values and legend values.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newValueColor` - the color of value text
  See Also:
    `getValueColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getValueColor

    public java.awt.Color getValueColor()

  Gets the color of value text of axis and legend values.

  Returns:
    the color of value text
  See Also:
    `setValueColor(java.awt.Color)`

### setDataLabelColor

    public void setDataLabelColor(java.awt.Color newDataLabelColor)

  Specify the color of data label text. This includes the BarChart's bar labels, the PieChart's slice labels and the ScatterPlot's marker labels.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newDataLabelColor` - the color of data label text
  See Also:
    `getDataLabelColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getDataLabelColor

    public java.awt.Color getDataLabelColor()

  Gets the color of data label text of data elements.

  Returns:
    the color of data label text
  See Also:
    `setDataLabelColor(java.awt.Color)`

### setDataTipColor

    public void setDataTipColor(java.awt.Color newDataTipColor)

  Specify the color of data tip text.

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newDataTipColor` - the color of data tip text
  See Also:
    `getDataTipColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getDataTipColor

    public java.awt.Color getDataTipColor()

  Gets the color of data tip text.

  Returns:
    the color of data tip label text
  See Also:
    `setDataTipColor(java.awt.Color)`

### setTitleFootnoteColor

    public void setTitleFootnoteColor(java.awt.Color newTitleFootnoteColor)

  Specify the color of titles and footnotes

  GraphStyle.applyColorScheme(ColorScheme) must be called before this color setting will appear in a GraphStyle. Graph.applyColorScheme(ColorScheme) must be called before this color setting will appear in a Graph.

  Parameters:
    `newTitleFootnoteColor` - the color of titles and footnotes
  See Also:
    `getTitleFootnoteColor()`, `GraphStyle.applyColorScheme(com.sas.graphics.components.ColorScheme)`

### getTitleFootnoteColor

    public java.awt.Color getTitleFootnoteColor()

  Gets the color of titles and footnotes.

  Returns:
    the color of titles and footnotes
  See Also:
    `setTitleFootnoteColor(java.awt.Color)`

### equals

    public boolean equals(ColorScheme that)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.